Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.environment
Interface EnvironmentInfraTier

All Known Implementing Classes:
  CentralisedEnvironment, JadeEnvironment, SaciEnvironment

    public interface EnvironmentInfraTier

This interface is implemented by the infrastructure tier (Saci/Centralised/...) to provide concrete implementation of the environment.

Method Summary
`void` | `actionExecuted(java.lang.String agName, Structure actTerm, boolean success, java.lang.Object infraData)` called by the user implementation of the environment when the action was executed
`RuntimeServicesInfraTier` | `getRuntimeServices()` Gets an object with infrastructure runtime services
`void` | `informAgsEnvironmentChanged(java.util.Collection<java.lang.String> agents)` Deprecated. use the informAgsEnvironmentChanged with String... parameter
`void` | `informAgsEnvironmentChanged(java.lang.String... agents)` Sends a message to the given agents notifying them that the environment has changed (called by the user environment).
`boolean` | `isRunning()` returns true if the infrastructure environment is running

Method Detail

### informAgsEnvironmentChanged

    void informAgsEnvironmentChanged(java.lang.String... agents)

  Sends a message to the given agents notifying them that the environment has changed (called by the user environment). If no agent is informed, the notification is sent to all agents.

### informAgsEnvironmentChanged

    void informAgsEnvironmentChanged(java.util.Collection<java.lang.String> agents)

  Deprecated. use the informAgsEnvironmentChanged with String... parameter

  Sends a message to a set of agents notifying them that the environment has changed. The collection has the agents' names. (called by the user environment).

### getRuntimeServices

    RuntimeServicesInfraTier getRuntimeServices()

  Gets an object with infrastructure runtime services

### isRunning

    boolean isRunning()

  returns true if the infrastructure environment is running

### actionExecuted

    void actionExecuted(java.lang.String agName,
                        Structure actTerm,
                        boolean success,
                        java.lang.Object infraData)

  called by the user implementation of the environment when the action was executed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD